## sisl 4.6.0

=== CMakeLists.txt ===
PROJECT(sisl)

CMAKE_MINIMUM_REQUIRED(VERSION 2.8)


# Organize the project in folders (VS only?)
SET_PROPERTY(GLOBAL PROPERTY USE_FOLDERS ON)


# Include directories

INCLUDE_DIRECTORIES(
  ${sisl_SOURCE_DIR}/include
  )


# Make the sisl library

FILE(GLOB sisl_SRCS src/*.c include/*.h)
ADD_LIBRARY(sisl ${sisl_SRCS})
SET_PROPERTY(TARGET sisl
  PROPERTY FOLDER "sisl/Libs")

# This line may be needed only on AMD 64 bit...
#IF(NOT WIN32)
#  SET_TARGET_PROPERTIES(sisl PROPERTIES COMPILE_FLAGS "-fPIC")
#ENDIF(NOT WIN32)


# Set various compiler flags
IF(CMAKE_COMPILER_IS_GNUXX)
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-unused-but-set-variable -fPIC")
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wno-unused-but-set-variable -fPIC")
ENDIF(CMAKE_COMPILER_IS_GNUXX)
IF(WIN32)
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP8 -D_SCL_SECURE_NO_WARNINGS -D_CRT_SECURE_NO_WARNINGS")
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /MP8 -D_SCL_SECURE_NO_WARNINGS -D_CRT_SECURE_NO_WARNINGS")
ENDIF(WIN32)


# Apps, examples, tests, ...?

FILE(GLOB sisl_APPS app/*.C)
FOREACH(app ${sisl_APPS})
  GET_FILENAME_COMPONENT(appname ${app} NAME_WE)
  ADD_EXECUTABLE(${appname} ${app})
  TARGET_LINK_LIBRARIES(${appname} sisl)
  SET_PROPERTY(TARGET ${appname}
    PROPERTY FOLDER "sisl/Apps")
ENDFOREACH(app)



# 'install' target

IF(WIN32)
  # Windows
  SET(CMAKE_INSTALL_PREFIX CACHE INTERNAL "")
  SET(sisl_INSTALL_PREFIX "$ENV{PROGRAMFILES}/SINTEF/sisl"
    CACHE PATH "Path to install SISL")
  INSTALL(TARGETS sisl DESTINATION ${sisl_INSTALL_PREFIX}/lib)
  INSTALL(DIRECTORY include/
    DESTINATION ${sisl_INSTALL_PREFIX}/include
    FILES_MATCHING PATTERN "*.h"
    PATTERN ".svn" EXCLUDE
    )
ELSE(WIN32)
  # Linux
  # lib
  INSTALL(TARGETS sisl DESTINATION lib COMPONENT sisl)
  # include
  INSTALL(DIRECTORY include/
    COMPONENT sisl-dev
    DESTINATION include
    FILES_MATCHING PATTERN "*.h"
    PATTERN ".svn" EXCLUDE
    )
ENDIF(WIN32)


# CPack stuff
IF(NOT GoTools_ALL_COMPILE)
  SET(CPACK_SOURCE_PACKAGE_FILE_NAME "sisl-4.6.0")
  SET(CPACK_SOURCE_IGNORE_FILES "/CVS/;/\\.svn/;\\.swp$;\\.#;/#;.*~")
  INCLUDE(CPack)
ENDIF(NOT GoTools_ALL_COMPILE)

SET(CPACK_STRIP_FILES ${CPACK_STRIP_FILES} libsisl.so)

=== Makefile ===
include ../makefile_template

=== debian/changelog ===
sisl (4.6.0-3) unstable; urgency=medium

  * Take over maintenance into Debian Science team and add myself as
    Uploader
    Closes: #1052598
  * Add Gard Spreemann to Uploaders
  * Secure URI in Homepage
  * Add watch file
  * Build with CMake 4
    Closes: #1113506
  * d/copyright: Fix short name
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 07 Oct 2025 16:13:48 +0200

sisl (4.6.0-2) unstable; urgency=medium

  * Use DBL_MAX instead of MAXDOUBLE (Closes: #891292)

 -- Simon Richter <sjr@debian.org>  Tue, 06 Mar 2018 12:10:25 +0100

sisl (4.6.0-1) unstable; urgency=low

  * Initial release

 -- Simon Richter <sjr@debian.org>  Sat, 17 Oct 2015 22:38:08 +0200

=== debian/control ===
Source: sisl
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Gard Spreemann <gspr@debian.org>
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.7.2
Section: libs
Vcs-Browser: https://salsa.debian.org/science-team/sisl
Vcs-Git: https://salsa.debian.org/science-team/sisl.git
Homepage: https://www.sintef.no/projectweb/geometry-toolkits/sisl/

Package: libsisl-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: SINTEF Spline Library
 The SINTEF Spline Library is a comprehensive NURBS library for the modeling
 and interrogation of curves and surfaces.
 .
 It is implemented in C and has been under continuous development for over two
 decades.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

=== debian/watch ===
Version: 5

Template: Github
Owner: SINTEF-Geometry
Project: SISL
